# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Parallel/DataPipe.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Parallel-parallel_map
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: map in parallel using all CPU cores
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OK/OKHARCH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
It does the same as map in perl, but using all CPU/cores.
Take into account that each iteration is executed as separate process i.e. changes of memory inside iterator will not affect
memory state of main thread.
Still there is some overhead on IPC, so to calculate $_*2 in parallel does not make practical sense.
Although if your iteration is more complex then that - you will win.
Do benchmarks to figure out.

It is implemented using Parallel::DataPipe.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

